image: python:3.7-alpine
before_script:
    - export LC_ALL=C.UTF-8
    - export LANG=C.UTF-8

stages:
    #- precheck
    #- build
    - deploy

pages:
    stage: deploy
    when: always
    script:
        - echo "Creating pages..."

        # Create directory structure for release
        - mkdir -p public/doc
        - mkdir -p public/doc/can

        # Install sphinx
        - pip install -U sphinx
        - pip install sphinx_rtd_theme

        # Install Doxygen
        - apk add graphviz
        - apk add doxygen
        - apk add ttf-freefont

        # Build RTEMS CAN/CAN FD susbystem Sphinx documentation
        - sphinx-build -b html -d _build/doctrees documentation/rtems_web _build/can-html

        # Copy Sphinx generated documentation
        - cp -R _build/can-html public/doc/can

        # Bild Doxygen generated documentation
        - ( cat documentation/doxygen/Doxyfile ; echo OUTPUT_DIRECTORY=_build/doxygen ) | doxygen -

        # Copy Doxygen generated documentation
        - cp -R _build/doxygen public/doc

        # Check size
        - echo "Size of artifacts:"
        - du -skh public/*
    only:
        - master
        - rtems_review_changes
    artifacts:
        paths:
            - public
variables:
    GIT_SUBMODULE_STRATEGY: recursive
